#!/bin/bash

TMP_LOGS_DIR=/var/tmp/troubleshooting_logs

# Remove any previous files in our tmp logs dir
rm -rf $TMP_LOGS_DIR
mkdir $TMP_LOGS_DIR

# Remove any previously generated logs from staging area
rm -rf /opt/Dell/ASM/logs/ASM_Troubleshooting_Logs
mkdir /opt/Dell/ASM/logs/ASM_Troubleshooting_Logs

# Copy various logs to our tmp logs dir
mkdir $TMP_LOGS_DIR/DB_Logs
cp -ar /opt/Dell/asmdb/data/pg_log/* $TMP_LOGS_DIR/DB_Logs
mkdir $TMP_LOGS_DIR/ASM_logs
cp -ar /opt/Dell/ASM/logs/* $TMP_LOGS_DIR/ASM_logs
mkdir $TMP_LOGS_DIR/ASMDeploy_logs
cp -ar --parents /opt/Dell/ASM/deployments/* $TMP_LOGS_DIR/ASMDeploy_logs
mkdir $TMP_LOGS_DIR/Puppet_logs
cp -ar /var/log/puppet/* $TMP_LOGS_DIR/Puppet_logs
mkdir $TMP_LOGS_DIR/PuppetDB_logs
cp -ar /var/log/puppetdb/* $TMP_LOGS_DIR/PuppetDB_logs
mkdir $TMP_LOGS_DIR/RazorServer_logs
cp -ar /var/log/razor/* $TMP_LOGS_DIR/RazorServer_logs
mkdir $TMP_LOGS_DIR/Device_Inventory_logs
cp -ar /opt/Dell/ASM/device/* $TMP_LOGS_DIR/Device_Inventory_logs
mkdir $TMP_LOGS_DIR/DeviceFacts
cp -ar /opt/Dell/ASM/cache/* $TMP_LOGS_DIR/DeviceFacts

# zip up the collected log files from tmp logs dir into staging area
/usr/bin/zip -r /opt/Dell/ASM/logs/ASM_Troubleshooting_Logs/Dell_ASM_Logs.zip $TMP_LOGS_DIR
chmod o+r /opt/Dell/ASM/logs/ASM_Troubleshooting_Logs/Dell_ASM_Logs.zip

echo Success
exit 0
